All retrieved chat messages will be marked as read after request.
Messages will be marked in 2 cases:
if the current user ID is in occupants_ids field for type=2 (GROUP) dialog;
if dialog’s type=1 (PUBLIC) dialog.
Search operatorsThe request can contain all, some or none of the next search operators:
Operator
Description
lt
Less Than operator
Types: number, string, date
Applicable to fields: date_sent, sender_id, recipient_id, updated_at
Example:
date_sent[lt]=1556829805
Description:
Will return messages with date_sentless than 1556829805.
lte
Less Than or Equal to operator
Types: number, string, date
Applicable to fields: date_sent, sender_id, recipient_id, updated_at
Example: updated_at[lte]=1556829805
Will return messages with updated_atless than or equal 1556829805.
gt
Greater Than operator
Types: number, string, date
Applicable to fields: date_sent, sender_id, recipient_id, updated_at
Example: date_sent[gt]=1556829805
Will return messages with date_sentgreater than 1556829805.
gte
Greater Than or Equal to operator
Types: number, string, date
Applicable to fields: date_sent, sender_id, recipient_id, updated_at
Example: date_sent[gte]=1556829805
Will return messages with date_sentgreater than or equal 1556829805.
ne
Not Equal to operator
Types: number, string, date
Applicable to fields: _id, message, date_sent, sender_id, recipient_id
Example: recipient_id[ne]=9988237
Will return messages with recipient_idnot equal to 9988237.
in
Contained IN array operator
Types: number, string, date
Applicable to fields: date_sent, sender_id, recipient_id
Example: sender_id[in]=91419276,91419395
Will return messages with sender_idequal to 91419276 and equal to 91419395.
nin
Not contained IN array
Types: number, string, date
Applicable to fields: date_sent, sender_id, recipient_id
Example: recipient_id[nin]=91419276,91419395
Will return messages with recipient_idnot equal to 91419276 and 91419395.
or
OR operator
Types: number, string, date
Applicable to fields: date_sent, sender_id, recipient_id
Example: sender_id[or]=91419390,96753878
Will return messages with sender_idequal to 91419390 or 96753878.
ctn
Contains substring operator
Types: string
Applicable to fields: message
Example: message[ctn]=party
Returns messages which text contains the word “party”.
Sort operatorsNext sorting operators are allowed:
Operator
Description
sort_asc
Types: all types
Example: sort_asc=field_name
Search results will be sorted by the specified field in ascending order.
sort_desc
Types: all types
Example: sort_desc=field_name
Search results will be sorted by the specified field in descending order.
Query Parameters
string
required
ID of the dialog.
string
Search records with the field that contains the specified value. Can be many 1..N.
string
Filters records with field which contains value according to specified value and operator. Can be many 1..N.
integer
Mark the requested message as read. Set mark_as_read=1 to perform. As a result, when the message is retreived by the opponent, the opponent ID is added to the array of read_ids field. Works only if the message had the unread status previously, not backwards. You can update message status using the Update Message request.
string
default:"100"
Limit search results to N records. Useful for pagination.
string
default:"0"
Skip N records in search results. Useful for pagination.
string
Count search results. Response will contain only a count of found records.
string
Search results will be sorted by a specified field in descending order.
string
Search results will be sorted by a specified field in ascending order.
integer
Optional. Set to 1 to include reactions data in the message response. Default is 0.
Headers
string
required
A user or application session token. See Authentication page to learn more about session tokens. Must be used either QB-Token or Authorization.
string
default:"ApiKey {your_api_key}"
API key from Dashboard. Expected format: ApiKey {your_api_key}. Must be used either QB-Token or Authorization.
string
User ID. The user ID of the user on whose behalf the request is being made.
Responses
201
A successful response
integer
integer
array of objects
Show properties
string
array
Show properties
string
string
string
string
integer
array
string
array
integer
integer
string
integer
array of objects
List of reactions added to the message.
This field is omitted by default. To include it, use the query parameter ?include_reactions=1.
Show properties
string
Type of the reaction, e.g. “like”, “love”.
integer
Number of times this reaction was added.
array of integers
IDs of users who added this reaction.
403
An error response
array of strings
404
An error response
array of strings
curl -X GET \-H "QB-Token: d23b555a6f9b6db4e3ebfd5e02a8e238e5012bba" \https://api.quickblox.com/chat/Message.json?chat_dialog_id=5d75393ba28f9a17e1cb0f9e
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"QuickBlox","colors":{"primary":"#3978fc","light":"#3978fc","dark":"#3978fc"},"logo":{"light":"https://mintcdn.com/quickblox/ZK0J4-dDJuuhpUQu/logo/light.svg?fit=max\u0026auto=format\u0026n=ZK0J4-dDJuuhpUQu\u0026q=85\u0026s=2ca77d61090cf3e9a7512358a3ad30b1","dark":"https://mintcdn.com/quickblox/ZK0J4-dDJuuhpUQu/logo/dark.svg?fit=max\u0026auto=format\u0026n=ZK0J4-dDJuuhpUQu\u0026q=85\u0026s=a8aaf148bf91f6898d03d0d3184114a9"},"favicon":"https://mintcdn.com/quickblox/blsYQNp-sI61UYaV/favicon.png?fit=max\u0026auto=format\u0026n=blsYQNp-sI61UYaV\u0026q=85\u0026s=62ec978bc2dc633ef042e7636c089254","navbar":{"links":[{"href":"https://quickblox.github.io/q-consultation/","label":"Q-Consultation"},{"href":"https://help.quickblox.com/","label":"Support"},{"href":"https://quickblox.com/","label":"quickblox.com"}],"primary":{"type":"button","label":"Dashboard","href":"https://admin.quickblox.com/"}},"footer":{"socials":{"x":"https://x.com/QuickBlox","facebook":"https://www.facebook.com/quickblox","linkedin":"https://www.linkedin.com/company/quickblox","instagram":"https://www.instagram.com/quickblox_official_","medium":"https://medium.com/quickblox-engineering","github":"https://github.com/QuickBlox","discord":"https://bit.ly/quickblox-dev-community"}},"integrations":{"ga4":{"measurementId":"G-CJ7RE2GB2V"}},"contextual":{"options":["chatgpt","claude","copy"],"display":"header"},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"SDK Downloads","icon":"webhook","href":"https://github.com/QuickBlox"},{"anchor":"Community","icon":"discord","href":"https://discord.com/invite/ZWZ3WpYZ9q"},{"anchor":"Blog","icon":"newspaper","href":"https://quickblox.com/blog/"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"quickblox","hasAudioNarration":false,"actualSubdomain":"quickblox","customDomains":["docs.quickblox.com"],"gitSource":{"type":"github","owner":"quickblox","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"feedback":{"issues":true,"edits":false,"thumbs":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6a8dc27ca93e48aebcc61c6f","clientVersion":"0.0.4270","searchFilterCounts":[{"language":"default","tag":"Server API","count":105},{"language":"default","tag":"REST API","count":105},{"language":"default","tag":"SDKs","count":98},{"language":"default","tag":"Chat","count":57},{"language":"default","tag":"Android","count":26},{"language":"default","tag":"iOS","count":25},{"language":"default","tag":"UIKits","count":23},{"language":"default","tag":"Custom Objects","count":22},{"language":"default","tag":"AI Agent","count":21},{"language":"default","tag":"Flutter","count":20}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"site-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"starter-pricing","enabled":true,"variant":{"name":"control","enabled":true,"payload":{"type":"string","value":"control"},"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"wildcard-email-auth","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"styles.css","content":".icon-group{display:flex;gap:10px;flex-wrap:wrap}.custom-icon{width:24px;height:24px}.inline-link{display:inline-flex;align-items:center;color:#007bff;margin-top:10px;text-decoration:none;transition:color 0.3s ease, text-decoration 0.3s ease}.inline-link:hover{color:#030f1c}.centered-image{display:block;margin-left:auto;margin-right:auto;width:500px;height:auto}.centered-video{display:block;margin-left:auto;margin-right:auto;max-width:100%}.inline-link Icon{margin-right:5px}.icon-group .icon{width:20px;height:20px;display:inline-block;vertical-align:middle}.icon-group a{display:inline-block}.icon-group img,.icon-group svg{width:20px;height:20px;cursor:pointer;pointer-events:none}.card{box-shadow:0 4px 6px rgba(0, 0, 0, 0.1);transition:transform 0.3s ease, box-shadow 0.3s ease;background-color:#fff;border-radius:8px;padding:16px}.card:hover{transform:translateY(-5px);box-shadow:0 8px 16px rgba(0, 0, 0, 0.4)}.button{display:inline-block;padding:10px 20px;text-align:center;background-color:#007bff;color:white;border-radius:5px;text-decoration:none;white-space:nowrap}.button:hover{background-color:#0056b3}.warning{background-color:red!important}"}]}
{"page":{"pagePath":"reference/list-messages","slug":"/reference/list-messages","pageMetadata":{"title":"List Messages","api":"GET https://api.quickblox.com/chat/Message.json","contentType":"application/json","description":"Retrieve all chat messages within a particular dialog.","playground":"simple","href":"/reference/list-messages"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Retrieve all chat messages within a particular dialog.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,br:`br`,code:`code`,em:`em`,li:`li`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,ul:`ul`,..._provideComponents(),...props.components},{Accordion,AccordionGroup,CodeBlock,Expandable,Heading,ParamField,ResponseField,Step,Steps,Table}=_components;if(!Accordion)_missingMdxReference(`Accordion`,true);if(!AccordionGroup)_missingMdxReference(`AccordionGroup`,true);if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);if(!Step)_missingMdxReference(`Step`,true);if(!Steps)_missingMdxReference(`Steps`,true);if(!Table)_missingMdxReference(`Table`,true);return _jsxs(_Fragment,{children:[_jsx(Heading,{level:`4`,id:`recipes`,children:`Recipes`}),`\n`,_jsxs(AccordionGroup,{children:[_jsx(Accordion,{title:`Filter messages by word`,id:`filter-messages-by-word`,children:_jsxs(Steps,{children:[_jsxs(Step,{title:`1. Set the ID of the dialog`,children:[_jsxs(_components.p,{children:[`Set a `,_jsx(_components.code,{children:`chat_dialog_id`}),` to refer to a specific dialog.`]}),_jsx(CodeBlock,{filename:``,highlight:`[3]`,numberOfLines:`4`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`4`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X GET \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"QB-Token: d23b555a6f9b6db4e3ebfd5e02a8e238e5012bba\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:`https://api.quickblox.com/chat/Message.json?chat_dialog_id=5d75393ba28f9a17e1cb0f9e\u0026message[ctn]=guys`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsxs(Step,{title:`2. Set a search operator for a field`,children:[_jsxs(_components.p,{children:[`Apply a search operator to the query. Here, a `,_jsx(_components.code,{children:`ctn`}),` operator is applied to a `,_jsx(_components.code,{children:`message`}),` field with the `,_jsx(_components.code,{children:`guys`}),` value.`]}),_jsx(CodeBlock,{filename:``,highlight:`[3]`,numberOfLines:`4`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`4`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X GET \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"QB-Token: d23b555a6f9b6db4e3ebfd5e02a8e238e5012bba\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:`https://api.quickblox.com/chat/Message.json?chat_dialog_id=5d75393ba28f9a17e1cb0f9e\u0026message[ctn]=guys`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsxs(Step,{title:`3. As a result, the API will return messages satisfying the specified criteria.`,children:[_jsxs(_components.p,{children:[`All messages containing the `,_jsx(_components.strong,{children:`guys`}),` word are returned for the specified dialog.`]}),_jsx(CodeBlock,{filename:``,numberOfLines:`4`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`4`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X GET \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"QB-Token: d23b555a6f9b6db4e3ebfd5e02a8e238e5012bba\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://api.quickblox.com/chat/Message.json?chat_dialog_id=5d75393ba28f9a17e1cb0f9e\u0026message[ctn]=guys`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]})]})}),_jsx(Accordion,{title:`Filter and sort messages`,id:`filter-and-sort-messages`,children:_jsxs(Steps,{children:[_jsxs(Step,{title:`1. Set the ID of the dialog`,children:[_jsxs(_components.p,{children:[`Set a `,_jsx(_components.code,{children:`chat_dialog_id`}),` to refer to a specific dialog.`]}),_jsx(CodeBlock,{filename:``,highlight:`[3]`,numberOfLines:`4`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`4`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X GET \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"QB-Token: d23b555a6f9b6db4e3ebfd5e02a8e238e5012bba\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:`https://api.quickblox.com/chat/Message.json?chat_dialog_id=5d75393ba28f9a17e1cb0f9e\u0026date_sent[lt]=1568057349\u0026sort_desc=date_sent`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsxs(Step,{title:`2. Set a search operator for a field`,children:[_jsxs(_components.p,{children:[`Apply a search operator to the query. Here, the `,_jsx(_components.code,{children:`lt`}),` operator is applied to a `,_jsx(_components.code,{children:`date_sent`}),` field.`]}),_jsx(CodeBlock,{filename:``,highlight:`[3]`,numberOfLines:`4`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`4`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X GET \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"QB-Token: d23b555a6f9b6db4e3ebfd5e02a8e238e5012bba\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:`https://api.quickblox.com/chat/Message.json?chat_dialog_id=5d75393ba28f9a17e1cb0f9e\u0026date_sent[lt]=1568057349\u0026sort_desc=date_sent`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsxs(Step,{title:`3. Set a sort operator for a field`,children:[_jsxs(_components.p,{children:[`Use a sort operator to order the search results by the field. Here, the `,_jsx(_components.code,{children:`sort_desc`}),` operator is applied to the `,_jsx(_components.code,{children:`date_sent`}),` field.`]}),_jsx(CodeBlock,{filename:``,highlight:`[3]`,numberOfLines:`4`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`4`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X GET \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"QB-Token: d23b555a6f9b6db4e3ebfd5e02a8e238e5012bba\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:`https://api.quickblox.com/chat/Message.json?chat_dialog_id=5d75393ba28f9a17e1cb0f9e\u0026date_sent[lt]=1568057349\u0026sort_desc=date_sent`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsxs(Step,{title:`4. As a result, the API returns messages filtered and sorted upon the request.`,children:[_jsxs(_components.p,{children:[`The messages are returned with the `,_jsx(_components.strong,{children:`date_sent`}),` value less than `,_jsx(_components.strong,{children:`1568057349`}),` and are sorted by the `,_jsx(_components.strong,{children:`date_sent`}),` field in `,_jsx(_components.strong,{children:`descending`}),` order.`]}),_jsx(CodeBlock,{filename:``,numberOfLines:`4`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`4`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X GET \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"QB-Token: d23b555a6f9b6db4e3ebfd5e02a8e238e5012bba\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://api.quickblox.com/chat/Message.json?chat_dialog_id=5d75393ba28f9a17e1cb0f9e\u0026date_sent[lt]=1568057349\u0026sort_desc=date_sent`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]})]})}),_jsx(Accordion,{title:`Get message by its ID`,id:`get-message-by-its-id`,children:_jsxs(Steps,{children:[_jsxs(Step,{title:`1. Set the ID of the dialog`,children:[_jsxs(_components.p,{children:[`Set a `,_jsx(_components.code,{children:`chat_dialog_id`}),` to refer to a specific dialog.`]}),_jsx(CodeBlock,{filename:``,highlight:`[3]`,numberOfLines:`4`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`4`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X GET \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"QB-Token: d23b555a6f9b6db4e3ebfd5e02a8e238e5012bba\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:`https://api.quickblox.com/chat/Message.json?chat_dialog_id=5d75393ba28f9a17e1cb0f9e\u0026_id=5d76a618a28f9a1edfcb0f9b`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsxs(Step,{title:`2. Set the ID of the message`,children:[_jsxs(_components.p,{children:[`Set an `,_jsx(_components.code,{children:`_id`}),` parameter to refer to a particular message.`]}),_jsx(CodeBlock,{filename:``,highlight:`[3]`,numberOfLines:`4`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`4`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X GET \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"QB-Token: d23b555a6f9b6db4e3ebfd5e02a8e238e5012bba\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:`https://api.quickblox.com/chat/Message.json?chat_dialog_id=5d75393ba28f9a17e1cb0f9e\u0026_id=5d76a618a28f9a1edfcb0f9b`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsx(Step,{title:`3. As a result, the API returns a specified message.`,children:_jsx(CodeBlock,{filename:``,numberOfLines:`4`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`4`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X GET \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"QB-Token: d23b555a6f9b6db4e3ebfd5e02a8e238e5012bba\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://api.quickblox.com/chat/Message.json?chat_dialog_id=5d75393ba28f9a17e1cb0f9e\u0026_id=5d76a618a28f9a1edfcb0f9b`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})})]})}),_jsx(Accordion,{title:`Get messages with reactions (added in v2.58.0)`,id:`get-messages-with-reactions-added-in-v2-58-0`,children:_jsxs(Steps,{children:[_jsxs(Step,{title:`1. Set the ID of the dialog`,children:[_jsxs(_components.p,{children:[`Set a `,_jsx(_components.code,{children:`chat_dialog_id`}),` to refer to a specific dialog.`]}),_jsx(CodeBlock,{filename:``,highlight:`[3]`,numberOfLines:`4`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`4`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X GET \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"QB-Token: d23b555a6f9b6db4e3ebfd5e02a8e238e5012bba\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:`https://api.quickblox.com/chat/Message.json?chat_dialog_id=5d75393ba28f9a17e1cb0f9e\u0026include_reactions=1`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsxs(Step,{title:_jsxs(_Fragment,{children:[`2. Set the `,_jsx(_components.code,{children:`include_reactions`}),` query parameter`]}),children:[_jsxs(_components.p,{children:[`To include detailed reactions data in the response, set the `,_jsx(_components.code,{children:`include_reactions=1`}),` query parameter.`]}),_jsx(CodeBlock,{filename:``,highlight:`[3]`,numberOfLines:`4`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`4`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X GET \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"QB-Token: d23b555a6f9b6db4e3ebfd5e02a8e238e5012bba\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:`https://api.quickblox.com/chat/Message.json?chat_dialog_id=5d75393ba28f9a17e1cb0f9e\u0026include_reactions=1`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsx(Step,{title:`3. As a result, the API returns messages with reactions.`,children:_jsx(CodeBlock,{filename:``,numberOfLines:`4`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`4`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X GET \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"QB-Token: d23b555a6f9b6db4e3ebfd5e02a8e238e5012bba\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://api.quickblox.com/chat/Message.json?chat_dialog_id=5d75393ba28f9a17e1cb0f9e\u0026include_reactions=1`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})})]})}),_jsx(Accordion,{title:`Get message by its ID with API key`,id:`get-message-by-its-id-with-api-key`,children:_jsxs(Steps,{children:[_jsx(Step,{title:`1. Use 'Authorization' header to pass API key`,children:_jsx(CodeBlock,{filename:``,highlight:`[2]`,numberOfLines:`5`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`5`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X GET \\\\`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:`-H \"Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"On-Behalf-Of: 123\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://api.quickblox.com/chat/Message.json?chat_dialog_id=5d75393ba28f9a17e1cb0f9e\u0026_id=5d76a618a28f9a1edfcb0f9b`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})}),_jsx(Step,{title:`2. Use 'On-Behalf-Of' header to pass user id`,children:_jsx(CodeBlock,{filename:``,highlight:`[3]`,numberOfLines:`5`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`5`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X GET \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:`-H \"On-Behalf-Of: 123\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://api.quickblox.com/chat/Message.json?chat_dialog_id=5d75393ba28f9a17e1cb0f9e\u0026_id=5d76a618a28f9a1edfcb0f9b`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})}),_jsxs(Step,{title:`3. Set the ID of the dialog`,children:[_jsxs(_components.p,{children:[`Set a `,_jsx(_components.code,{children:`chat_dialog_id`}),` to refer to a specific dialog.`]}),_jsx(CodeBlock,{filename:``,highlight:`[4]`,numberOfLines:`5`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`5`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X GET \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"On-Behalf-Of: 123\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:`https://api.quickblox.com/chat/Message.json?chat_dialog_id=5d75393ba28f9a17e1cb0f9e\u0026_id=5d76a618a28f9a1edfcb0f9b`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsxs(Step,{title:`4. Set the ID of the message`,children:[_jsxs(_components.p,{children:[`Set an `,_jsx(_components.code,{children:`_id`}),` parameter to refer to a particular message.`]}),_jsx(CodeBlock,{filename:``,highlight:`[4]`,numberOfLines:`5`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`5`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X GET \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"On-Behalf-Of: 123\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:`https://api.quickblox.com/chat/Message.json?chat_dialog_id=5d75393ba28f9a17e1cb0f9e\u0026_id=5d76a618a28f9a1edfcb0f9b`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsx(Step,{title:`5. As a result, the API returns a specified message.`,children:_jsx(CodeBlock,{filename:``,numberOfLines:`5`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`5`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X GET \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"On-Behalf-Of: 123\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://api.quickblox.com/chat/Message.json?chat_dialog_id=5d75393ba28f9a17e1cb0f9e\u0026_id=5d76a618a28f9a1edfcb0f9b`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})})]})}),_jsx(Accordion,{title:`Get message with reactions using API key (added in v2.58.0)`,id:`get-message-with-reactions-using-api-key-added-in-v2-58-0`,children:_jsxs(Steps,{children:[_jsx(Step,{title:`1. Use 'Authorization' header to pass API key`,children:_jsx(CodeBlock,{filename:``,highlight:`[2]`,numberOfLines:`5`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`5`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X GET \\\\`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:`-H \"Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"On-Behalf-Of: 123\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://api.quickblox.com/chat/Message.json?chat_dialog_id=5d75393ba28f9a17e1cb0f9e\u0026include_reactions=1`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})}),_jsx(Step,{title:`2. Use 'On-Behalf-Of' header to pass user id`,children:_jsx(CodeBlock,{filename:``,highlight:`[3]`,numberOfLines:`5`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`5`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X GET \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:`-H \"On-Behalf-Of: 123\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://api.quickblox.com/chat/Message.json?chat_dialog_id=5d75393ba28f9a17e1cb0f9e\u0026include_reactions=1`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})}),_jsxs(Step,{title:`3. Set the ID of the dialog`,children:[_jsxs(_components.p,{children:[`Set a `,_jsx(_components.code,{children:`chat_dialog_id`}),` to refer to a specific dialog.`]}),_jsx(CodeBlock,{filename:``,highlight:`[4]`,numberOfLines:`5`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`5`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X GET \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"On-Behalf-Of: 123\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:`https://api.quickblox.com/chat/Message.json?chat_dialog_id=5d75393ba28f9a17e1cb0f9e\u0026include_reactions=1`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsxs(Step,{title:_jsxs(_Fragment,{children:[`4. Set the `,_jsx(_components.code,{children:`include_reactions`}),` query parameter`]}),children:[_jsxs(_components.p,{children:[`To include detailed reactions data in the response, set the `,_jsx(_components.code,{children:`include_reactions=1`}),` query parameter.`]}),_jsx(CodeBlock,{filename:``,highlight:`[4]`,numberOfLines:`5`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`5`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X GET \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"On-Behalf-Of: 123\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:`https://api.quickblox.com/chat/Message.json?chat_dialog_id=5d75393ba28f9a17e1cb0f9e\u0026include_reactions=1`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsx(Step,{title:`5. As a result, the API returns messages with reactions.`,children:_jsx(CodeBlock,{filename:``,numberOfLines:`5`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`5`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X GET \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"On-Behalf-Of: 123\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://api.quickblox.com/chat/Message.json?chat_dialog_id=5d75393ba28f9a17e1cb0f9e\u0026include_reactions=1`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})})]})}),_jsx(Accordion,{title:`Filter messages by word with API key`,id:`filter-messages-by-word-with-api-key`,children:_jsxs(Steps,{children:[_jsx(Step,{title:`1. Use 'Authorization' header to pass API key`,children:_jsx(CodeBlock,{filename:``,highlight:`[2]`,numberOfLines:`5`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`5`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X GET \\\\`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:`-H \"Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"On-Behalf-Of: 123\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://api.quickblox.com/chat/Message.json?chat_dialog_id=5d75393ba28f9a17e1cb0f9e\u0026message[ctn]=guys`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})}),_jsxs(Step,{title:`2. Use 'On-Behalf-Of' header to pass user id`,children:[_jsx(_components.p,{children:`To execute a request on behalf of a specific user.`}),_jsx(CodeBlock,{filename:``,highlight:`[3]`,numberOfLines:`5`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`5`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X GET \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:`-H \"On-Behalf-Of: 123\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://api.quickblox.com/chat/Message.json?chat_dialog_id=5d75393ba28f9a17e1cb0f9e\u0026message[ctn]=guys`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsxs(Step,{title:`3. Set the ID of the dialog`,children:[_jsxs(_components.p,{children:[`Set a `,_jsx(_components.code,{children:`chat_dialog_id`}),` to refer to a specific dialog.`]}),_jsx(CodeBlock,{filename:``,highlight:`[4]`,numberOfLines:`5`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`5`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X GET \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"On-Behalf-Of: 123\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:`https://api.quickblox.com/chat/Message.json?chat_dialog_id=5d75393ba28f9a17e1cb0f9e\u0026message[ctn]=guys`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsxs(Step,{title:`4. Set a search operator for a field`,children:[_jsxs(_components.p,{children:[`Apply a search operator to the query. Here, a `,_jsx(_components.code,{children:`ctn`}),` operator is applied to a `,_jsx(_components.code,{children:`message`}),` field with the `,_jsx(_components.code,{children:`guys`}),` value.`]}),_jsx(CodeBlock,{filename:``,highlight:`[4]`,numberOfLines:`5`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`5`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X GET \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"On-Behalf-Of: 123\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:`https://api.quickblox.com/chat/Message.json?chat_dialog_id=5d75393ba28f9a17e1cb0f9e\u0026message[ctn]=guys`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsxs(Step,{title:`5. As a result, the API will return messages satisfying the specified criteria.`,children:[_jsx(_components.p,{children:`All messages containing the guys word are returned for the specified dialog.`}),_jsx(CodeBlock,{filename:``,numberOfLines:`5`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`5`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X GET \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"On-Behalf-Of: 123\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://api.quickblox.com/chat/Message.json?chat_dialog_id=5d75393ba28f9a17e1cb0f9e\u0026message[ctn]=guys`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]})]})}),_jsx(Accordion,{title:`Filter and sort messages with API key`,id:`filter-and-sort-messages-with-api-key`,children:_jsxs(Steps,{children:[_jsx(Step,{title:`1. Use 'Authorization' header to pass API key`,children:_jsx(CodeBlock,{filename:``,highlight:`[2]`,numberOfLines:`5`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`5`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X GET \\\\`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:`-H \"Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"On-Behalf-Of: 123\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://api.quickblox.com/chat/Message.json?chat_dialog_id=5d75393ba28f9a17e1cb0f9e\u0026date_sent[lt]=1568057349\u0026sort_desc=date_sent`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})}),_jsxs(Step,{title:`2. Use 'On-Behalf-Of' header to pass user id`,children:[_jsx(_components.p,{children:`To execute a request on behalf of a specific user.`}),_jsx(CodeBlock,{filename:``,highlight:`[3]`,numberOfLines:`5`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`5`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X GET \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:`-H \"On-Behalf-Of: 123\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://api.quickblox.com/chat/Message.json?chat_dialog_id=5d75393ba28f9a17e1cb0f9e\u0026date_sent[lt]=1568057349\u0026sort_desc=date_sent`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsxs(Step,{title:`3. Set the ID of the dialog`,children:[_jsxs(_components.p,{children:[`Set a `,_jsx(_components.code,{children:`chat_dialog_id`}),` to refer to a specific dialog.`]}),_jsx(CodeBlock,{filename:``,highlight:`[4]`,numberOfLines:`5`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`5`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X GET \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"On-Behalf-Of: 123\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:`https://api.quickblox.com/chat/Message.json?chat_dialog_id=5d75393ba28f9a17e1cb0f9e\u0026date_sent[lt]=1568057349\u0026sort_desc=date_sent`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsxs(Step,{title:`4. Set a search operator for a field`,children:[_jsxs(_components.p,{children:[`Apply a search operator to the query. Here, the `,_jsx(_components.code,{children:`lt`}),` operator is applied to a `,_jsx(_components.code,{children:`date_sent`}),` field.`]}),_jsx(CodeBlock,{filename:``,highlight:`[4]`,numberOfLines:`5`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`5`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X GET \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"On-Behalf-Of: 123\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:`https://api.quickblox.com/chat/Message.json?chat_dialog_id=5d75393ba28f9a17e1cb0f9e\u0026date_sent[lt]=1568057349\u0026sort_desc=date_sent`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsxs(Step,{title:`5. Set a sort operator for a field`,children:[_jsxs(_components.p,{children:[`Use a sort operator to order the search results by the field. Here, the `,_jsx(_components.code,{children:`sort_desc`}),` operator is applied to the `,_jsx(_components.code,{children:`date_sent`}),` field.`]}),_jsx(CodeBlock,{filename:``,highlight:`[4]`,numberOfLines:`5`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`5`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X GET \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"On-Behalf-Of: 123\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:`https://api.quickblox.com/chat/Message.json?chat_dialog_id=5d75393ba28f9a17e1cb0f9e\u0026date_sent[lt]=1568057349\u0026sort_desc=date_sent`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsxs(Step,{title:`6. As a result, the API returns messages filtered and sorted upon the request.`,children:[_jsxs(_components.p,{children:[`The messages are returned with the `,_jsx(_components.strong,{children:`date_sent`}),` value less than `,_jsx(_components.strong,{children:`1568057349`}),` and are sorted by the `,_jsx(_components.strong,{children:`date_sent`}),` field in `,_jsx(_components.strong,{children:`descending`}),` order.`]}),_jsx(CodeBlock,{filename:``,numberOfLines:`5`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`5`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X GET \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"On-Behalf-Of: 123\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://api.quickblox.com/chat/Message.json?chat_dialog_id=5d75393ba28f9a17e1cb0f9e\u0026date_sent[lt]=1568057349\u0026sort_desc=date_sent`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]})]})})]}),`\n`,_jsxs(_components.p,{children:[`All retrieved chat messages will be marked as `,_jsx(_components.strong,{children:`read`}),` after request.`,_jsx(_components.br,{}),`\n`,`Messages will be marked in 2 cases:`]}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[`if the current `,_jsx(_components.strong,{children:`user ID`}),` is in `,_jsx(_components.code,{children:`occupants_ids`}),` field for `,_jsx(_components.code,{children:`type=2`}),` (GROUP) dialog;`]}),`\n`,_jsxs(_components.li,{children:[`if dialog’s `,_jsx(_components.code,{children:`type=1`}),` (PUBLIC) dialog.`]}),`\n`]}),`\n`,_jsx(_components.p,{children:_jsx(_components.strong,{children:`Search operators`})}),`\n`,_jsx(_components.p,{children:`The request can contain all, some or none of the next search operators:`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Operator`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`lt`}),_jsxs(_components.td,{children:[_jsx(_components.strong,{children:`Less Than`}),` operator `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Types: number, string, date `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Applicable to fields: date_sent, sender_id, recipient_id, updated_at `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Example: `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`date_sent[lt]=1556829805 `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Description: `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Will return messages with `,_jsx(_components.code,{children:`date_sent`}),` `,_jsx(_components.strong,{children:`less than`}),` 1556829805.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`lte`}),_jsxs(_components.td,{children:[_jsx(_components.strong,{children:`Less Than or Equal`}),` to operator `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Types: number, string, date `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Applicable to fields: date_sent, sender_id, recipient_id, updated_at `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Example: updated_at[lte]=1556829805 `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Will return messages with `,_jsx(_components.code,{children:`updated_at`}),` `,_jsx(_components.strong,{children:`less than or equal`}),` 1556829805.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`gt`}),_jsxs(_components.td,{children:[_jsx(_components.strong,{children:`Greater Than`}),` operator `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Types: number, string, date `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Applicable to fields: date_sent, sender_id, recipient_id, updated_at `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Example: `,_jsx(`br`,{}),`date_sent[gt]=1556829805 `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Will return messages with `,_jsx(_components.code,{children:`date_sent`}),` `,_jsx(_components.strong,{children:`greater than`}),` 1556829805.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`gte`}),_jsxs(_components.td,{children:[_jsx(_components.strong,{children:`Greater Than or Equal`}),` to operator `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Types: number, string, date `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Applicable to fields: date_sent, sender_id, recipient_id, updated_at `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Example: `,_jsx(`br`,{}),`date_sent[gte]=1556829805 `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Will return messages with `,_jsx(_components.code,{children:`date_sent`}),` `,_jsx(_components.strong,{children:`greater than or equal`}),` 1556829805.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`ne`}),_jsxs(_components.td,{children:[_jsx(_components.strong,{children:`Not Equal`}),` to operator `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Types: number, string, date `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Applicable to fields: _id, message, date_sent, sender_id, recipient_id `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Example: `,_jsx(`br`,{}),`recipient_id[ne]=9988237 `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Will return messages with `,_jsx(_components.code,{children:`recipient_id`}),` `,_jsx(_components.strong,{children:`not equal`}),` to 9988237.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`in`}),_jsxs(_components.td,{children:[_jsx(_components.strong,{children:`Contained IN`}),` array operator `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Types: number, string, date `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Applicable to fields: date_sent, sender_id, recipient_id `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Example: `,_jsx(`br`,{}),`sender_id[in]=91419276,91419395 `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Will return messages with `,_jsx(_components.code,{children:`sender_id`}),` `,_jsx(_components.strong,{children:`equal`}),` to 91419276 and `,_jsx(_components.strong,{children:`equal`}),` to 91419395.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`nin`}),_jsxs(_components.td,{children:[_jsx(_components.strong,{children:`Not contained IN`}),` array `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Types: number, string, date `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Applicable to fields: date_sent, sender_id, recipient_id `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Example: `,_jsx(`br`,{}),`recipient_id[nin]=91419276,91419395 `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Will return messages with `,_jsx(_components.code,{children:`recipient_id`}),` `,_jsx(_components.strong,{children:`not equal`}),` to 91419276 and 91419395.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`or`}),_jsxs(_components.td,{children:[_jsx(_components.strong,{children:`OR`}),` operator `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Types: number, string, date `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Applicable to fields: date_sent, sender_id, recipient_id `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Example: `,_jsx(`br`,{}),`sender_id[or]=91419390,96753878 `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Will return messages with `,_jsx(_components.code,{children:`sender_id`}),` `,_jsx(_components.strong,{children:`equal`}),` to 91419390 `,_jsx(_components.strong,{children:`or`}),` 96753878.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`ctn`}),_jsxs(_components.td,{children:[_jsx(_components.strong,{children:`Contains`}),` substring operator `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Types: string `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Applicable to fields: message `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Example: message[ctn]=party `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Returns messages which text `,_jsx(_components.strong,{children:`contains`}),` the word “party”.`]})]})]})]}),`\n`,_jsx(_components.p,{children:_jsx(_components.strong,{children:`Sort operators`})}),`\n`,_jsx(_components.p,{children:`Next sorting operators are allowed:`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Operator`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`sort_asc`}),_jsxs(_components.td,{children:[`Types: all types `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Example: `,_jsx(`br`,{}),`sort_asc=field_name `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Search results will be sorted by the specified field in ascending order.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`sort_desc`}),_jsxs(_components.td,{children:[`Types: all types `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Example: `,_jsx(`br`,{}),`sort_desc=field_name `,_jsx(`br`,{}),` `,_jsx(`br`,{}),`Search results will be sorted by the specified field in descending order.`]})]})]})]}),`\n`,_jsx(Heading,{level:`4`,id:`query-parameters`,children:`Query Parameters`}),`\n`,_jsx(ParamField,{query:`chat_dialog_id`,type:`string`,required:true,id:`param-chat-dialog-id`,children:` ID of the dialog. `}),`\n`,_jsx(ParamField,{query:`{message_field_N}`,type:`string`,id:`param-message-field-n`,children:` Search records with the field that contains the specified value. Can be many 1..N. `}),`\n`,_jsx(ParamField,{query:`{message_field_N}[{search_operator}]`,type:`string`,id:`param-message-field-n-search-operator`,children:` Filters records with field which contains value according to specified value and operator. Can be many 1..N. `}),`\n`,_jsxs(ParamField,{query:`mark_as_read`,type:`integer`,id:`param-mark-as-read`,children:[` Mark the requested message as read. Set `,_jsx(_components.code,{children:`mark_as_read=1 `}),`to perform. As a result, when the message is retreived by the opponent, the opponent ID is added to the array of read_ids field. Works only if the message had the unread status previously, not backwards. You can update message status using the `,_jsx(_components.a,{href:`/reference/list-messages#update-message`,children:`Update Message`}),` request. `]}),`\n`,_jsx(ParamField,{query:`limit`,type:`string`,default:`100`,id:`param-limit`,children:` Limit search results to N records. Useful for pagination. `}),`\n`,_jsx(ParamField,{query:`skip`,type:`string`,default:`0`,id:`param-skip`,children:` Skip N records in search results. Useful for pagination. `}),`\n`,_jsx(ParamField,{query:`count`,type:`string`,id:`param-count`,children:` Count search results. Response will contain only a count of found records. `}),`\n`,_jsx(ParamField,{query:`sort_desc`,type:`string`,id:`param-sort-desc`,children:` Search results will be sorted by a specified field in descending order. `}),`\n`,_jsx(ParamField,{query:`sort_asc`,type:`string`,id:`param-sort-asc`,children:` Search results will be sorted by a specified field in ascending order. `}),`\n`,_jsxs(ParamField,{path:`include_reactions`,type:`integer`,id:`param-include-reactions`,children:[` Optional. Set to `,_jsx(_components.code,{children:`1`}),` to include reactions data in the message response. Default is `,_jsx(_components.code,{children:`0`}),`. `]}),`\n`,_jsx(Heading,{level:`4`,id:`headers`,children:`Headers`}),`\n`,_jsxs(ParamField,{header:`QB-Token`,type:`string`,required:true,id:`param-qb-token`,children:[` A user or application session token. See `,_jsx(_components.a,{href:`/reference/authentication`,children:`Authentication`}),` page to learn more about session tokens. Must be used either QB-Token or Authorization. `]}),`\n`,_jsxs(ParamField,{header:`Authorization`,type:`string`,default:`ApiKey {your_api_key}`,id:`param-authorization`,children:[` API key from Dashboard. Expected format: `,_jsx(_components.code,{children:`ApiKey {your_api_key}`}),`. Must be used either QB-Token or Authorization.`]}),`\n`,_jsx(ParamField,{header:`On-Behalf-Of`,type:`string`,id:`param-on-behalf-of`,children:`User ID. The user ID of the user on whose behalf the request is being made.`}),`\n`,_jsx(Heading,{level:`4`,id:`responses`,children:`Responses`}),`\n`,_jsxs(AccordionGroup,{children:[_jsxs(Accordion,{title:`201`,id:`201`,children:[_jsx(_components.p,{children:`A successful response`}),_jsx(ResponseField,{name:`skip`,type:`integer`,id:`param-skip-1`}),_jsx(ResponseField,{name:`limit`,type:`integer`,id:`param-limit-1`}),_jsx(ResponseField,{name:`items`,type:`array of objects`,id:`param-items`,children:_jsxs(Expandable,{title:`properties`,children:[_jsx(ResponseField,{name:`_id`,type:`string`,id:`param-id`}),_jsx(ResponseField,{name:`attachments`,type:`array`,id:`param-attachments`,children:_jsxs(Expandable,{title:`properties`,children:[_jsx(ResponseField,{name:`type`,type:`string`,id:`param-type`}),_jsx(ResponseField,{name:`id`,type:`string`,id:`param-id-1`})]})}),_jsx(ResponseField,{name:`chat_dialog_id`,type:`string`,id:`param-chat-dialog-id-1`}),_jsx(ResponseField,{name:`created_at`,type:`string`,id:`param-created-at`}),_jsx(ResponseField,{name:`date_sent`,type:`integer`,id:`param-date-sent`}),_jsx(ResponseField,{name:`delivered_ids`,type:`array`,id:`param-delivered-ids`}),_jsx(ResponseField,{name:`message`,type:`string`,id:`param-message`}),_jsx(ResponseField,{name:`read_ids`,type:`array`,id:`param-read-ids`}),_jsx(ResponseField,{name:`recipient_id`,type:`integer`,id:`param-recipient-id`}),_jsx(ResponseField,{name:`sender_id`,type:`integer`,id:`param-sender-id`}),_jsx(ResponseField,{name:`updated_at`,type:`string`,id:`param-updated-at`}),_jsx(ResponseField,{name:`read`,type:`integer`,id:`param-read`}),_jsxs(ResponseField,{name:`reactions`,type:`array of objects`,id:`param-reactions`,children:[_jsxs(_components.p,{children:[`List of reactions added to the message.\n`,_jsxs(_components.em,{children:[`This field is `,_jsx(_components.strong,{children:`omitted by default`}),`. To include it, use the query parameter `,_jsx(_components.code,{children:`?include_reactions=1`}),`.`]})]}),_jsxs(Expandable,{title:`properties`,children:[_jsx(ResponseField,{name:`name`,type:`string`,id:`param-name`,children:`Type of the reaction, e.g. “like”, “love”.`}),_jsx(ResponseField,{name:`count`,type:`integer`,id:`param-count-1`,children:`Number of times this reaction was added.`}),_jsx(ResponseField,{name:`user_ids`,type:`array of integers`,id:`param-user-ids`,children:`IDs of users who added this reaction.`})]})]})]})})]}),_jsxs(Accordion,{title:`403`,id:`403`,children:[_jsx(_components.p,{children:`An error response`}),_jsx(ResponseField,{name:`errors`,type:`array of strings`,id:`param-errors`})]}),_jsxs(Accordion,{title:`404`,id:`404`,children:[_jsx(_components.p,{children:`An error response`}),_jsx(ResponseField,{name:`errors`,type:`array of strings`,id:`param-errors-1`})]})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"List Messages","api":"GET https://api.quickblox.com/chat/Message.json","contentType":"application/json","description":"Retrieve all chat messages within a particular dialog.","playground":"simple","href":"/reference/list-messages"}}},"mdxSourceWithNoJs":null,"noJsSplices":[[440,449,"questExample,ResponseExample,ResponseFie"],[816,828,"questExample)_missingMdxReference(`RequestExample`,true);if(!ResponseExample)_missingMdxReference(`ResponseExample`,true);if(!ResponseField)"],[56590,57018,",`\n`,_jsx(RequestExample,{children:_jsx(CodeBlock,{filename:`cURL`,numberOfLines:`3`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`3`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -X`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` GET`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`-H `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"QB-Token: d23b555a6f9b6db4e3ebfd5e02a8e238e5012bba\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`https://api.quickblox.com/chat/Message.json?chat_dialog_id=5d75393ba28f9a17e1cb0f9e`})}),`\n`]})})})}),`\n`,_jsxs(ResponseExample,{children:[_jsx(CodeBlock,{filename:`200`,numberOfLines:`52`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`52`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"skip\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"limit\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`100`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"items\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"5d755856a0eb47411e0b72a9\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"attachments\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [],`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"chat_dialog_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"5d75393ba28f9a17e1cb0f9e\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"created_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2019-09-08T19:36:54Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"date_sent\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1567971414`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"delivered_ids\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:` 96753878`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Hi guys\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"read_ids\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:` 96753878`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"recipient_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"sender_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`96753878`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"updated_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2019-09-08T19:36:54Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"read\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"5d76a618a28f9a1edfcb0f9b\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"age\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"25\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"attachments\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"image\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"47863\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"image\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"47863\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"chat_dialog_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"5d75393ba28f9a17e1cb0f9e\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"created_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2019-09-09T19:20:56Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"date_sent\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1568056856`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"delivered_ids\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:` 96753878`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Hi guys!\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"read_ids\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:` 96753878`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"recipient_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`343`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"sender_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`96753878`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"updated_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2019-09-09T19:20:56Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"read\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`403`,numberOfLines:`5`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`5`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"errors\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"You don't have appropriate permissions to perform this operation\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`404`,numberOfLines:`5`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`5`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"errors\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"The resource wasn't found\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}"]]},"mdxExtracts":{"tableOfContents":[{"title":"Recipes","slug":"recipes","depth":4,"children":[]},{"title":"Query Parameters","slug":"query-parameters","depth":4,"children":[]},{"title":"Headers","slug":"headers","depth":4,"children":[]},{"title":"Responses","slug":"responses","depth":4,"children":[]}],"codeExamples":{"request":{"type":"RequestExample","children":[{"filename":"cURL","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"shellscript\">\u003ccode language=\"shellscript\" numberOfLines=\"3\">\u003cspan class=\"line\">\u003cspan style=\"color:#953800;--shiki-dark:#DCDCAA\">curl\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> -X\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> GET\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">-H \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"QB-Token: d23b555a6f9b6db4e3ebfd5e02a8e238e5012bba\"\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">https://api.quickblox.com/chat/Message.json?chat_dialog_id=5d75393ba28f9a17e1cb0f9e\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]},"response":{"type":"ResponseExample","children":[{"filename":"200","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"52\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"skip\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">0\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"limit\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">100\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"items\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"_id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"5d755856a0eb47411e0b72a9\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"attachments\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [],\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"chat_dialog_id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"5d75393ba28f9a17e1cb0f9e\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"created_at\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2019-09-08T19:36:54Z\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"date_sent\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">1567971414\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"delivered_ids\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\"> 96753878\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> ],\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"message\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan s
[...]
